merge_method: task_arithmetic
slices:
  - sources:
      - model: /workspace/dqdung/khoaluan/model/Qwen2.5-1.5B
        layer_range: [0, 28]
      - model: /workspace/dqdung/khoaluan/model/Qwen2.5-Math-1.5B-Instruct
        layer_range: [0, 28]
        parameters:
          density: 0.8       # k = 0.8 (top-k% of task vectors to keep)
          weight: 0.3        # α = 1.0
      - model: /workspace/dqdung/khoaluan/model/DeepSeek-R1-Distill-Qwen-1.5B
        layer_range: [0, 28]
        parameters:
          density: 0.8       # k = 0.8
          weight: 0.7       # α = 1.0
merge_parameters:
  normalize: false         # normalize merged task vectors
dtype: bfloat16
base_model: /workspace/dqdung/khoaluan/model/Qwen2.5-1.5B
